<?php
require_once("../app/functions.php");
if (comprobar_override(str_replace($_SERVER['DOCUMENT_ROOT'], '', __FILE__))) exit;
$pag = basename($_SERVER['PHP_SELF']);

if (session_status() !== PHP_SESSION_ACTIVE) session_start();

//Comprobar si no es admin redirecciona a la página
if($_SESSION['tipo_usuario'] == 'empleado'){
    header('Location: tables/documentos?id_empleado='.$_SESSION['id_empleado']);
    exit;
}
gen_plantilla(true, $pag, true, true, 'Documentos', true, true);

?>
<section class="cristal" <?= (!get_config_usuario($_SESSION['id_usuario'], 'reducir_efectos_movimiento')) ? 'style="view-transition-name: cristal;"' : '' ?>>
    <h1 class="resaltado flex row supercentrado"><span class="animacion-izq-drch">💁🏼</span> Selecciona el empleado</h1>
    <?php
    $empleados = consulta("SELECT * FROM empleados ORDER BY nombre;", [], true);
    if (!empty($empleados)):
    ?>
        <header>
            <label class="flex column gap02"><b>Empleado</b>
                <input type="search" placeholder="Empleado" id="i_empleado" list="data-empleados">
            </label>
            <datalist id="data-empleados">
                <?php
                for ($i = 0; $i < count($empleados); $i++) {
                    echo '<option value="' . $empleados[$i]['nombre'] . '">' . $empleados[$i]['nombre'] . ' ' . $empleados[$i]['apellidos'] . '</option>';
                }
                ?>
            </datalist>
        </header>
        <section id="documentos-empleados" class="flex column gap1"></section>
    <?php else: ?>
        <article id="no-hay-datos" class="flex wrap" style="width:fit-content; text-wrap: balance;">
            <h3>¡Vaya, parece que no tienes empleados! <a class="enlace blanco" href="<?= SITIO_CARPETA ?>/views/forms/empleado">Añadir empleado</a></h3>
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" width="1em" height="1em"><path d="M416 208c0 45.9-14.9 88.3-40 122.7L502.6 457.4c12.5 12.5 12.5 32.8 0 45.3s-32.8 12.5-45.3 0L330.7 376c-34.4 25.2-76.8 40-122.7 40C93.1 416 0 322.9 0 208S93.1 0 208 0S416 93.1 416 208zM208 352a144 144 0 1 0 0-288 144 144 0 1 0 0 288z"/></svg>
        </article>
    <?php endif; ?>
</section>

<script>
    window.onload = () => {
        cargar_ajax_table();
    };

    function cargar_ajax_table() {
        let i_empleado = document.getElementById('i_empleado');
        ajax('tables/table_documentos_empleados', 'documentos-empleados', 'empleado=' + i_empleado.value, []);
        i_empleado.addEventListener('input', () => {
            ajax('tables/table_documentos_empleados', 'documentos-empleados', 'empleado=' + i_empleado.value, []);
        });
    }
</script>